#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>


#include <X11/Xlib.h>

typedef struct _DefTree {
    struct _DefTree *next;        /* another Key definition */
    struct _DefTree *succession;  /* successive Key Sequence */

    unsigned modifier_mask;       /* Key definitions */
    unsigned modifier;
    KeySym   keysym;              /* leaf only */
    char    *mb;

    wchar_t *wc;
    char    *utf8;
    
    KeySym  ks;
} DefTree;
